View Issue Details

IDProjectCategoryView StatusLast Update
0002960GNUnetset servicepublic2013-12-24 20:54
ReporterBart PolotAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002960: Set, DV, are not resistant to mesh crashes.
DescriptionWith version < 28237, mesh crashes during test_transport_dv. This causes dv and set crashes as well. With r28243, when mesh crashes are gone, set and dv also behave themselves much better.
TagsNo tags attached.

Relationships

related to 0001795 confirmed DV is not implemented 

Activities

Florian Dold

2013-07-22 16:22

developer   ~0007263

I'm not sure I fully understand what you mean by making set more 'resistant' against mesh crashes. Could you please elaborate?

Bart Polot

2013-07-22 16:23

manager   ~0007264

No matter what mesh does, set and/or DV should never crash along.

Florian Dold

2013-08-13 16:39

developer   ~0007369

I'm not aware that this can still happen now ... but let's wait if DV causes this behavior again.

Christian Grothoff

2013-12-08 22:24

manager   ~0007787

In lieu of many mesh crashes, I fixed issues in DV and set (0003171, 0003164, 0003162, 0003152, 0003161), so right now in my test I just get like 5 disjoint types of mesh crashes, but no more in DV/Set. So I think we can call this 'resolved'. If during the fixes to 0001795 something again happens in set/dv, we should open more specific bugs anyway.

Issue History

Date Modified Username Field Change
2013-07-22 16:18 Bart Polot New Issue
2013-07-22 16:18 Bart Polot Status new => assigned
2013-07-22 16:18 Bart Polot Assigned To => Florian Dold
2013-07-22 16:22 Florian Dold Note Added: 0007263
2013-07-22 16:23 Bart Polot Note Added: 0007264
2013-08-13 16:39 Florian Dold Note Added: 0007369
2013-08-13 16:39 Florian Dold Status assigned => feedback
2013-11-28 20:23 Christian Grothoff Target Version => 0.10.0
2013-11-29 20:09 Christian Grothoff Relationship added related to 0001795
2013-12-08 22:24 Christian Grothoff Note Added: 0007787
2013-12-08 22:24 Christian Grothoff Status feedback => resolved
2013-12-08 22:24 Christian Grothoff Fixed in Version => 0.10.0
2013-12-08 22:24 Christian Grothoff Resolution open => fixed
2013-12-08 22:24 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2013-12-24 20:54 Christian Grothoff Status resolved => closed